using GadgetCore.API;
using HarmonyLib;

namespace Subworlds.Patches
{
  [HarmonyPatch(typeof(GameScript))]
  [HarmonyPatch("SpacePirates")]
  [HarmonyGadget("SubworldCore")]
  public static class Patch_GameScript_SpacePirates
  {
    [HarmonyPrefix]
    public static void Prefix(GameScript __instance)
    {
      Core.planetHasPirates = true;
    }
  }
}